Skip to main content
GET
/
industrial
/
data-inputs
List all data inputs
curl --request GET \
  --url https://api.samsara.com/industrial/data-inputs \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "assetId": "74771078-5edb-4733-88f2-7242f520d1f1",
      "dataGroup": "Flow",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "Pump Flow",
      "units": "Gallons Per Minute"
    }
  ],
  "pagination": {
    "endCursor": "MjkY",
    "hasNextPage": true
  }
}

Documentation Index

Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

limit
integer<int64>

The limit for how many objects will be in the response. Default and max for this value is 512 objects.

Required range: 1 <= x <= 512
after
string

If specified, this should be the endCursor value from the previous page of results. When present, this request will return the next page of results that occur immediately after the previous page of results.

parentTagIds
string[]

A filter on the data based on this comma-separated list of parent tag IDs, for use by orgs with tag hierarchies. Specifying a parent tag will implicitly include all descendent tags of the parent tag. Example: parentTagIds=345,678

tagIds
string[]

A filter on the data based on this comma-separated list of tag IDs. Example: tagIds=1234,5678

assetIds
string[]

A comma-separated list of industrial asset UUIDs. Example: assetIds=076efac2-83b5-47aa-ba36-18428436dcac,6707b3f0-23b9-4fe3-b7be-11be34aea544

Response

List of data inputs with names, ids, and other metadata.

data
object[]

An array of data input objects. Each object contains the data input's name, ID, and other metadata.

pagination
object

Pagination parameters.